﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TemplateColumnLayout
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Customer> data = new ObservableCollection<Customer>();

            ObservableCollection<Order> alfkiOrders = new ObservableCollection<Order>();
            alfkiOrders.Add(new Order { OrderId = 1, OrderDate = DateTime.Today.AddDays(-1), Freight = 10, ShipAdress = "Obere STR. 57", ShipName = "Alfreds Futerkiste" });
            alfkiOrders.Add(new Order { OrderId = 2, OrderDate = DateTime.Today.AddDays(-2), Freight = 20, ShipAdress = "Obere STR. 57", ShipName = "Alfreds Futerkiste" });
            alfkiOrders.Add(new Order { OrderId = 3, OrderDate = DateTime.Today.AddDays(-3), Freight = 30, ShipAdress = "Obere STR. 57", ShipName = "Alfreds Futerkiste" });
            alfkiOrders.Add(new Order { OrderId = 4, OrderDate = DateTime.Today.AddDays(-4), Freight = 40, ShipAdress = "Obere STR. 57", ShipName = "Alfreds Futerkiste" });
            alfkiOrders.Add(new Order { OrderId = 5, OrderDate = DateTime.Today.AddDays(-5), Freight = 50, ShipAdress = "Obere STR. 57", ShipName = "Alfreds Futerkiste" });

            ObservableCollection<Order> anatrOrders = new ObservableCollection<Order>();
            anatrOrders.Add(new Order { OrderId = 6, OrderDate = DateTime.Today.AddDays(-10), Freight = 100, ShipAdress = "Avda. de la Constitucion 2222", ShipName = "Ana Trujillo Emparedados y helados" });
            anatrOrders.Add(new Order { OrderId = 7, OrderDate = DateTime.Today.AddDays(-20), Freight = 200, ShipAdress = "Avda. de la Constitucion 2222", ShipName = "Ana Trujillo Emparedados y helados" });


            data.Add(new Customer
            {
                Company = "Alfreds Futterkiste",
                ContactName = "Maria Anders",
                CustomerID = "ALFKI",
                ContactTitle = "Sales Representative",
                Country = "Germany",
                ImageResourcePath = @"Images\MariaAnders.png",
                Orders = alfkiOrders
            });
            data.Add(new Customer
            {
                Company = "Ana Trujillo Emparedados y helados",
                ContactName = "Ana Trujillo",
                CustomerID = "ANATR",
                ContactTitle = "Owner",
                Country = "Mexico",
                ImageResourcePath = @"Images\Anatrujillo.png",
                Orders = anatrOrders
            });

            dataGrid.ItemsSource = data;
            dataGrid.Rows[0].IsExpanded = true;

        }
    }
}
